package com.kingdee.eas.custom.esign.handler;

import com.kingdee.eas.custom.esign.SealFactory;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.web.handler.ListHandler;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Description e 签宝印章管理ListHandler
 * @Date 2025/12/15 15:40
 * @Created by 59279
 */
public class SealListHandler extends ListHandler {
    private static Logger logger = Logger.getLogger(SealListHandler.class);

    /**
     * 同步印章
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void syncSealsAction(
            HttpServletRequest request,
            HttpServletResponse response,
            ModelMap modelMap
    ) throws SHRWebException {
        try {
            SealFactory.getLocalInstance(this.getContext()).syncSeals();
        } catch (Exception e) {
            throw new ShrWebBizException(e);
        }
    }
}
